<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="MinSizeRel|Win32">
      <Configuration>MinSizeRel</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="RelWithDebInfo|Win32">
      <Configuration>RelWithDebInfo</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{34FA8C56-50FE-3C5D-ACE7-2D0730493D03}</ProjectGuid>
    <WindowsTargetPlatformVersion>10.0.19041.0</WindowsTargetPlatformVersion>
    <Keyword>Win32Proj</Keyword>
    <Platform>Win32</Platform>
    <ProjectName>ALL_BUILD</ProjectName>
    <VCProjectUpgraderObjectName>NoUpgrade</VCProjectUpgraderObjectName>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Utility</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
    <PlatformToolset>v141</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Utility</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
    <PlatformToolset>v141</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='MinSizeRel|Win32'" Label="Configuration">
    <ConfigurationType>Utility</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
    <PlatformToolset>v141</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='RelWithDebInfo|Win32'" Label="Configuration">
    <ConfigurationType>Utility</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
    <PlatformToolset>v141</PlatformToolset>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>10.0.20506.1</_ProjectFileVersion>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">$(Platform)\$(Configuration)\$(ProjectName)\</IntDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">$(Platform)\$(Configuration)\$(ProjectName)\</IntDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='MinSizeRel|Win32'">$(Platform)\$(Configuration)\$(ProjectName)\</IntDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='RelWithDebInfo|Win32'">$(Platform)\$(Configuration)\$(ProjectName)\</IntDir>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Midl>
      <AdditionalIncludeDirectories>D:\keystone\msvc\llvm;D:\keystone\llvm;D:\keystone\msvc\llvm\include;D:\keystone\llvm\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <OutputDirectory>$(ProjectDir)/$(IntDir)</OutputDirectory>
      <HeaderFileName>%(Filename).h</HeaderFileName>
      <TypeLibraryName>%(Filename).tlb</TypeLibraryName>
      <InterfaceIdentifierFileName>%(Filename)_i.c</InterfaceIdentifierFileName>
      <ProxyFileName>%(Filename)_p.c</ProxyFileName>
    </Midl>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Midl>
      <AdditionalIncludeDirectories>D:\keystone\msvc\llvm;D:\keystone\llvm;D:\keystone\msvc\llvm\include;D:\keystone\llvm\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <OutputDirectory>$(ProjectDir)/$(IntDir)</OutputDirectory>
      <HeaderFileName>%(Filename).h</HeaderFileName>
      <TypeLibraryName>%(Filename).tlb</TypeLibraryName>
      <InterfaceIdentifierFileName>%(Filename)_i.c</InterfaceIdentifierFileName>
      <ProxyFileName>%(Filename)_p.c</ProxyFileName>
    </Midl>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='MinSizeRel|Win32'">
    <Midl>
      <AdditionalIncludeDirectories>D:\keystone\msvc\llvm;D:\keystone\llvm;D:\keystone\msvc\llvm\include;D:\keystone\llvm\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <OutputDirectory>$(ProjectDir)/$(IntDir)</OutputDirectory>
      <HeaderFileName>%(Filename).h</HeaderFileName>
      <TypeLibraryName>%(Filename).tlb</TypeLibraryName>
      <InterfaceIdentifierFileName>%(Filename)_i.c</InterfaceIdentifierFileName>
      <ProxyFileName>%(Filename)_p.c</ProxyFileName>
    </Midl>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='RelWithDebInfo|Win32'">
    <Midl>
      <AdditionalIncludeDirectories>D:\keystone\msvc\llvm;D:\keystone\llvm;D:\keystone\msvc\llvm\include;D:\keystone\llvm\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <OutputDirectory>$(ProjectDir)/$(IntDir)</OutputDirectory>
      <HeaderFileName>%(Filename).h</HeaderFileName>
      <TypeLibraryName>%(Filename).tlb</TypeLibraryName>
      <InterfaceIdentifierFileName>%(Filename)_i.c</InterfaceIdentifierFileName>
      <ProxyFileName>%(Filename)_p.c</ProxyFileName>
    </Midl>
  </ItemDefinitionGroup>
  <ItemGroup>
    <CustomBuild Include="D:\keystone\llvm\CMakeLists.txt">
      <Message Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">Building Custom Rule D:/keystone/llvm/CMakeLists.txt</Message>
      <Command Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">setlocal
"C:\Program Files\CMake\bin\cmake.exe" -SD:/keystone -BD:/keystone/msvc --check-stamp-file D:/keystone/msvc/llvm/CMakeFiles/generate.stamp
if %errorlevel% neq 0 goto :cmEnd
:cmEnd
endlocal &amp; call :cmErrorLevel %errorlevel% &amp; goto :cmDone
:cmErrorLevel
exit /b %1
:cmDone
if %errorlevel% neq 0 goto :VCEnd</Command>
      <AdditionalInputs Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">C:\Program Files\CMake\share\cmake-3.20\Modules\AddFileDependencies.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeASMCompiler.cmake.in;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeASMInformation.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeCheckCompilerFlagCommonPatterns.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeCompilerIdDetection.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeConfigurableFile.in;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeDetermineASMCompiler.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeDetermineCompiler.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeDetermineCompilerId.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeFindBinUtils.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeParseArguments.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeTestASMCompiler.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CPack.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CPackComponent.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckCCompilerFlag.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckCSourceCompiles.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckCXXCompilerFlag.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckCXXSourceCompiles.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckFunctionExists.c;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckFunctionExists.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckIncludeFile.c.in;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckIncludeFile.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckIncludeFileCXX.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckLibraryExists.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckSymbolExists.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckTypeSize.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\Compiler\MSVC-ASM.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\FindPackageHandleStandardArgs.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\FindPackageMessage.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\FindPythonInterp.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\Internal\CheckCompilerFlag.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\Internal\CheckSourceCompiles.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\TestBigEndian.cmake;C:\Program Files\CMake\share\cmake-3.20\Templates\CPackConfig.cmake.in;D:\keystone\llvm\LLVMBuild.txt;D:\keystone\llvm\cmake\config-ix.cmake;D:\keystone\llvm\cmake\modules\AddLLVM.cmake;D:\keystone\llvm\cmake\modules\AddLLVMDefinitions.cmake;D:\keystone\llvm\cmake\modules\CheckAtomic.cmake;D:\keystone\llvm\cmake\modules\ChooseMSVCCRT.cmake;D:\keystone\llvm\cmake\modules\DetermineGCCCompatible.cmake;D:\keystone\llvm\cmake\modules\GetHostTriple.cmake;D:\keystone\llvm\cmake\modules\HandleLLVMOptions.cmake;D:\keystone\llvm\cmake\modules\HandleLLVMStdlib.cmake;D:\keystone\llvm\cmake\modules\LLVM-Config.cmake;D:\keystone\llvm\cmake\modules\LLVMProcessSources.cmake;D:\keystone\llvm\cmake\modules\VersionFromVCS.cmake;D:\keystone\llvm\include\llvm\Config\AsmParsers.def.in;D:\keystone\llvm\include\llvm\Config\Targets.def.in;D:\keystone\llvm\include\llvm\Config\config.h.cmake;D:\keystone\llvm\include\llvm\Config\llvm-config.h.cmake;D:\keystone\llvm\include\llvm\Support\DataTypes.h.cmake;D:\keystone\llvm\lib\LLVMBuild.txt;D:\keystone\llvm\lib\Target\AArch64\LLVMBuild.txt;D:\keystone\llvm\lib\Target\ARM\LLVMBuild.txt;D:\keystone\llvm\lib\Target\Hexagon\LLVMBuild.txt;D:\keystone\llvm\lib\Target\LLVMBuild.txt;D:\keystone\llvm\lib\Target\Mips\LLVMBuild.txt;D:\keystone\llvm\lib\Target\PowerPC\LLVMBuild.txt;D:\keystone\llvm\lib\Target\Sparc\LLVMBuild.txt;D:\keystone\llvm\lib\Target\SystemZ\LLVMBuild.txt;D:\keystone\llvm\lib\Target\X86\LLVMBuild.txt;D:\keystone\llvm\utils\llvm-build\llvm-build;D:\keystone\llvm\utils\llvm-build\llvmbuild\__init__.py;D:\keystone\llvm\utils\llvm-build\llvmbuild\componentinfo.py;D:\keystone\llvm\utils\llvm-build\llvmbuild\configutil.py;D:\keystone\llvm\utils\llvm-build\llvmbuild\main.py;D:\keystone\llvm\utils\llvm-build\llvmbuild\util.py;D:\keystone\msvc\CMakeFiles\3.20.0-rc4\CMakeASMCompiler.cmake;D:\keystone\msvc\llvm\LLVMBuild.cmake;%(AdditionalInputs)</AdditionalInputs>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">D:\keystone\msvc\llvm\CMakeFiles\generate.stamp</Outputs>
      <LinkObjects Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">false</LinkObjects>
      <Message Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">Building Custom Rule D:/keystone/llvm/CMakeLists.txt</Message>
      <Command Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">setlocal
"C:\Program Files\CMake\bin\cmake.exe" -SD:/keystone -BD:/keystone/msvc --check-stamp-file D:/keystone/msvc/llvm/CMakeFiles/generate.stamp
if %errorlevel% neq 0 goto :cmEnd
:cmEnd
endlocal &amp; call :cmErrorLevel %errorlevel% &amp; goto :cmDone
:cmErrorLevel
exit /b %1
:cmDone
if %errorlevel% neq 0 goto :VCEnd</Command>
      <AdditionalInputs Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">C:\Program Files\CMake\share\cmake-3.20\Modules\AddFileDependencies.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeASMCompiler.cmake.in;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeASMInformation.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeCheckCompilerFlagCommonPatterns.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeCompilerIdDetection.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeConfigurableFile.in;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeDetermineASMCompiler.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeDetermineCompiler.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeDetermineCompilerId.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeFindBinUtils.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeParseArguments.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeTestASMCompiler.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CPack.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CPackComponent.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckCCompilerFlag.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckCSourceCompiles.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckCXXCompilerFlag.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckCXXSourceCompiles.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckFunctionExists.c;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckFunctionExists.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckIncludeFile.c.in;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckIncludeFile.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckIncludeFileCXX.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckLibraryExists.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckSymbolExists.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckTypeSize.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\Compiler\MSVC-ASM.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\FindPackageHandleStandardArgs.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\FindPackageMessage.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\FindPythonInterp.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\Internal\CheckCompilerFlag.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\Internal\CheckSourceCompiles.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\TestBigEndian.cmake;C:\Program Files\CMake\share\cmake-3.20\Templates\CPackConfig.cmake.in;D:\keystone\llvm\LLVMBuild.txt;D:\keystone\llvm\cmake\config-ix.cmake;D:\keystone\llvm\cmake\modules\AddLLVM.cmake;D:\keystone\llvm\cmake\modules\AddLLVMDefinitions.cmake;D:\keystone\llvm\cmake\modules\CheckAtomic.cmake;D:\keystone\llvm\cmake\modules\ChooseMSVCCRT.cmake;D:\keystone\llvm\cmake\modules\DetermineGCCCompatible.cmake;D:\keystone\llvm\cmake\modules\GetHostTriple.cmake;D:\keystone\llvm\cmake\modules\HandleLLVMOptions.cmake;D:\keystone\llvm\cmake\modules\HandleLLVMStdlib.cmake;D:\keystone\llvm\cmake\modules\LLVM-Config.cmake;D:\keystone\llvm\cmake\modules\LLVMProcessSources.cmake;D:\keystone\llvm\cmake\modules\VersionFromVCS.cmake;D:\keystone\llvm\include\llvm\Config\AsmParsers.def.in;D:\keystone\llvm\include\llvm\Config\Targets.def.in;D:\keystone\llvm\include\llvm\Config\config.h.cmake;D:\keystone\llvm\include\llvm\Config\llvm-config.h.cmake;D:\keystone\llvm\include\llvm\Support\DataTypes.h.cmake;D:\keystone\llvm\lib\LLVMBuild.txt;D:\keystone\llvm\lib\Target\AArch64\LLVMBuild.txt;D:\keystone\llvm\lib\Target\ARM\LLVMBuild.txt;D:\keystone\llvm\lib\Target\Hexagon\LLVMBuild.txt;D:\keystone\llvm\lib\Target\LLVMBuild.txt;D:\keystone\llvm\lib\Target\Mips\LLVMBuild.txt;D:\keystone\llvm\lib\Target\PowerPC\LLVMBuild.txt;D:\keystone\llvm\lib\Target\Sparc\LLVMBuild.txt;D:\keystone\llvm\lib\Target\SystemZ\LLVMBuild.txt;D:\keystone\llvm\lib\Target\X86\LLVMBuild.txt;D:\keystone\llvm\utils\llvm-build\llvm-build;D:\keystone\llvm\utils\llvm-build\llvmbuild\__init__.py;D:\keystone\llvm\utils\llvm-build\llvmbuild\componentinfo.py;D:\keystone\llvm\utils\llvm-build\llvmbuild\configutil.py;D:\keystone\llvm\utils\llvm-build\llvmbuild\main.py;D:\keystone\llvm\utils\llvm-build\llvmbuild\util.py;D:\keystone\msvc\CMakeFiles\3.20.0-rc4\CMakeASMCompiler.cmake;D:\keystone\msvc\llvm\LLVMBuild.cmake;%(AdditionalInputs)</AdditionalInputs>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">D:\keystone\msvc\llvm\CMakeFiles\generate.stamp</Outputs>
      <LinkObjects Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">false</LinkObjects>
      <Message Condition="'$(Configuration)|$(Platform)'=='MinSizeRel|Win32'">Building Custom Rule D:/keystone/llvm/CMakeLists.txt</Message>
      <Command Condition="'$(Configuration)|$(Platform)'=='MinSizeRel|Win32'">setlocal
"C:\Program Files\CMake\bin\cmake.exe" -SD:/keystone -BD:/keystone/msvc --check-stamp-file D:/keystone/msvc/llvm/CMakeFiles/generate.stamp
if %errorlevel% neq 0 goto :cmEnd
:cmEnd
endlocal &amp; call :cmErrorLevel %errorlevel% &amp; goto :cmDone
:cmErrorLevel
exit /b %1
:cmDone
if %errorlevel% neq 0 goto :VCEnd</Command>
      <AdditionalInputs Condition="'$(Configuration)|$(Platform)'=='MinSizeRel|Win32'">C:\Program Files\CMake\share\cmake-3.20\Modules\AddFileDependencies.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeASMCompiler.cmake.in;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeASMInformation.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeCheckCompilerFlagCommonPatterns.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeCompilerIdDetection.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeConfigurableFile.in;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeDetermineASMCompiler.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeDetermineCompiler.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeDetermineCompilerId.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeFindBinUtils.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeParseArguments.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeTestASMCompiler.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CPack.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CPackComponent.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckCCompilerFlag.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckCSourceCompiles.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckCXXCompilerFlag.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckCXXSourceCompiles.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckFunctionExists.c;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckFunctionExists.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckIncludeFile.c.in;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckIncludeFile.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckIncludeFileCXX.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckLibraryExists.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckSymbolExists.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckTypeSize.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\Compiler\MSVC-ASM.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\FindPackageHandleStandardArgs.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\FindPackageMessage.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\FindPythonInterp.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\Internal\CheckCompilerFlag.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\Internal\CheckSourceCompiles.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\TestBigEndian.cmake;C:\Program Files\CMake\share\cmake-3.20\Templates\CPackConfig.cmake.in;D:\keystone\llvm\LLVMBuild.txt;D:\keystone\llvm\cmake\config-ix.cmake;D:\keystone\llvm\cmake\modules\AddLLVM.cmake;D:\keystone\llvm\cmake\modules\AddLLVMDefinitions.cmake;D:\keystone\llvm\cmake\modules\CheckAtomic.cmake;D:\keystone\llvm\cmake\modules\ChooseMSVCCRT.cmake;D:\keystone\llvm\cmake\modules\DetermineGCCCompatible.cmake;D:\keystone\llvm\cmake\modules\GetHostTriple.cmake;D:\keystone\llvm\cmake\modules\HandleLLVMOptions.cmake;D:\keystone\llvm\cmake\modules\HandleLLVMStdlib.cmake;D:\keystone\llvm\cmake\modules\LLVM-Config.cmake;D:\keystone\llvm\cmake\modules\LLVMProcessSources.cmake;D:\keystone\llvm\cmake\modules\VersionFromVCS.cmake;D:\keystone\llvm\include\llvm\Config\AsmParsers.def.in;D:\keystone\llvm\include\llvm\Config\Targets.def.in;D:\keystone\llvm\include\llvm\Config\config.h.cmake;D:\keystone\llvm\include\llvm\Config\llvm-config.h.cmake;D:\keystone\llvm\include\llvm\Support\DataTypes.h.cmake;D:\keystone\llvm\lib\LLVMBuild.txt;D:\keystone\llvm\lib\Target\AArch64\LLVMBuild.txt;D:\keystone\llvm\lib\Target\ARM\LLVMBuild.txt;D:\keystone\llvm\lib\Target\Hexagon\LLVMBuild.txt;D:\keystone\llvm\lib\Target\LLVMBuild.txt;D:\keystone\llvm\lib\Target\Mips\LLVMBuild.txt;D:\keystone\llvm\lib\Target\PowerPC\LLVMBuild.txt;D:\keystone\llvm\lib\Target\Sparc\LLVMBuild.txt;D:\keystone\llvm\lib\Target\SystemZ\LLVMBuild.txt;D:\keystone\llvm\lib\Target\X86\LLVMBuild.txt;D:\keystone\llvm\utils\llvm-build\llvm-build;D:\keystone\llvm\utils\llvm-build\llvmbuild\__init__.py;D:\keystone\llvm\utils\llvm-build\llvmbuild\componentinfo.py;D:\keystone\llvm\utils\llvm-build\llvmbuild\configutil.py;D:\keystone\llvm\utils\llvm-build\llvmbuild\main.py;D:\keystone\llvm\utils\llvm-build\llvmbuild\util.py;D:\keystone\msvc\CMakeFiles\3.20.0-rc4\CMakeASMCompiler.cmake;D:\keystone\msvc\llvm\LLVMBuild.cmake;%(AdditionalInputs)</AdditionalInputs>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='MinSizeRel|Win32'">D:\keystone\msvc\llvm\CMakeFiles\generate.stamp</Outputs>
      <LinkObjects Condition="'$(Configuration)|$(Platform)'=='MinSizeRel|Win32'">false</LinkObjects>
      <Message Condition="'$(Configuration)|$(Platform)'=='RelWithDebInfo|Win32'">Building Custom Rule D:/keystone/llvm/CMakeLists.txt</Message>
      <Command Condition="'$(Configuration)|$(Platform)'=='RelWithDebInfo|Win32'">setlocal
"C:\Program Files\CMake\bin\cmake.exe" -SD:/keystone -BD:/keystone/msvc --check-stamp-file D:/keystone/msvc/llvm/CMakeFiles/generate.stamp
if %errorlevel% neq 0 goto :cmEnd
:cmEnd
endlocal &amp; call :cmErrorLevel %errorlevel% &amp; goto :cmDone
:cmErrorLevel
exit /b %1
:cmDone
if %errorlevel% neq 0 goto :VCEnd</Command>
      <AdditionalInputs Condition="'$(Configuration)|$(Platform)'=='RelWithDebInfo|Win32'">C:\Program Files\CMake\share\cmake-3.20\Modules\AddFileDependencies.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeASMCompiler.cmake.in;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeASMInformation.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeCheckCompilerFlagCommonPatterns.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeCompilerIdDetection.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeConfigurableFile.in;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeDetermineASMCompiler.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeDetermineCompiler.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeDetermineCompilerId.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeFindBinUtils.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeParseArguments.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CMakeTestASMCompiler.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CPack.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CPackComponent.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckCCompilerFlag.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckCSourceCompiles.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckCXXCompilerFlag.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckCXXSourceCompiles.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckFunctionExists.c;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckFunctionExists.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckIncludeFile.c.in;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckIncludeFile.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckIncludeFileCXX.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckLibraryExists.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckSymbolExists.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\CheckTypeSize.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\Compiler\MSVC-ASM.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\FindPackageHandleStandardArgs.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\FindPackageMessage.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\FindPythonInterp.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\Internal\CheckCompilerFlag.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\Internal\CheckSourceCompiles.cmake;C:\Program Files\CMake\share\cmake-3.20\Modules\TestBigEndian.cmake;C:\Program Files\CMake\share\cmake-3.20\Templates\CPackConfig.cmake.in;D:\keystone\llvm\LLVMBuild.txt;D:\keystone\llvm\cmake\config-ix.cmake;D:\keystone\llvm\cmake\modules\AddLLVM.cmake;D:\keystone\llvm\cmake\modules\AddLLVMDefinitions.cmake;D:\keystone\llvm\cmake\modules\CheckAtomic.cmake;D:\keystone\llvm\cmake\modules\ChooseMSVCCRT.cmake;D:\keystone\llvm\cmake\modules\DetermineGCCCompatible.cmake;D:\keystone\llvm\cmake\modules\GetHostTriple.cmake;D:\keystone\llvm\cmake\modules\HandleLLVMOptions.cmake;D:\keystone\llvm\cmake\modules\HandleLLVMStdlib.cmake;D:\keystone\llvm\cmake\modules\LLVM-Config.cmake;D:\keystone\llvm\cmake\modules\LLVMProcessSources.cmake;D:\keystone\llvm\cmake\modules\VersionFromVCS.cmake;D:\keystone\llvm\include\llvm\Config\AsmParsers.def.in;D:\keystone\llvm\include\llvm\Config\Targets.def.in;D:\keystone\llvm\include\llvm\Config\config.h.cmake;D:\keystone\llvm\include\llvm\Config\llvm-config.h.cmake;D:\keystone\llvm\include\llvm\Support\DataTypes.h.cmake;D:\keystone\llvm\lib\LLVMBuild.txt;D:\keystone\llvm\lib\Target\AArch64\LLVMBuild.txt;D:\keystone\llvm\lib\Target\ARM\LLVMBuild.txt;D:\keystone\llvm\lib\Target\Hexagon\LLVMBuild.txt;D:\keystone\llvm\lib\Target\LLVMBuild.txt;D:\keystone\llvm\lib\Target\Mips\LLVMBuild.txt;D:\keystone\llvm\lib\Target\PowerPC\LLVMBuild.txt;D:\keystone\llvm\lib\Target\Sparc\LLVMBuild.txt;D:\keystone\llvm\lib\Target\SystemZ\LLVMBuild.txt;D:\keystone\llvm\lib\Target\X86\LLVMBuild.txt;D:\keystone\llvm\utils\llvm-build\llvm-build;D:\keystone\llvm\utils\llvm-build\llvmbuild\__init__.py;D:\keystone\llvm\utils\llvm-build\llvmbuild\componentinfo.py;D:\keystone\llvm\utils\llvm-build\llvmbuild\configutil.py;D:\keystone\llvm\utils\llvm-build\llvmbuild\main.py;D:\keystone\llvm\utils\llvm-build\llvmbuild\util.py;D:\keystone\msvc\CMakeFiles\3.20.0-rc4\CMakeASMCompiler.cmake;D:\keystone\msvc\llvm\LLVMBuild.cmake;%(AdditionalInputs)</AdditionalInputs>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='RelWithDebInfo|Win32'">D:\keystone\msvc\llvm\CMakeFiles\generate.stamp</Outputs>
      <LinkObjects Condition="'$(Configuration)|$(Platform)'=='RelWithDebInfo|Win32'">false</LinkObjects>
    </CustomBuild>
  </ItemGroup>
  <ItemGroup>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="D:\keystone\msvc\ZERO_CHECK.vcxproj">
      <Project>{7B7FA05B-C277-322F-89D8-255B4EB85FC2}</Project>
      <Name>ZERO_CHECK</Name>
      <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
      <CopyToOutputDirectory>Never</CopyToOutputDirectory>
    </ProjectReference>
    <ProjectReference Include="D:\keystone\msvc\llvm\keystone\keystone.vcxproj">
      <Project>{E4754E3E-2503-307A-8076-8AC2AD8B75B2}</Project>
      <Name>keystone</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>